package com.xdf.creative.base.params.creative;
/**
 * @author : lgw
 * @date : 10:48 2022/9/19
 */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 *@ClassName InnovationApplyParam
 *@Description TODO
 *@Author Kxg
 *@Date 2022/9/19 10:48
 *@Version 1.0
 **/
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoWordManageQueryParam对象", description = "词管理查询参数")
public class InnovationApplyQueryParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private Integer id;

    @ApiModelProperty(value = "报名选组")
    private String enrollGroup;

    @ApiModelProperty(value = "参赛组别")
    private String contestGroup;

    @ApiModelProperty(value = "国家城市")
    private String countryCity;

    @ApiModelProperty(value = "项目基本信息")
    private String projectInfo;

    @ApiModelProperty(value = "文件资料")
    private String fileAttachment;

    @ApiModelProperty(value = "补充资料")
    private String supplementAttachment;

    @ApiModelProperty(value = "联系人")
    private String liaisonMan;

    @ApiModelProperty(value = "公司信息")
    private String companyInfo;

    @ApiModelProperty(value = "申报人")
    private String declareMan;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
