package com.hhrchina.web.mybatisPlus.temporaryFile.pojo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 文创上海创新创业报名通道表
 * </p>
 *
 * @author KanXianggui
 * @since 2022-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("web_innovation_apply")
@ApiModel(value="InnovationApply对象", description="文创上海创新创业报名通道表")
public class InnovationApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "报名选组")
    private String enrollGroup;

    @ApiModelProperty(value = "参赛组别")
    private String contestGroup;

    @ApiModelProperty(value = "国家城市")
    private String countryCity;

    @ApiModelProperty(value = "项目基本信息")
    private String projectInfo;

    @ApiModelProperty(value = "文件资料")
    private String fileAttachment;

    @ApiModelProperty(value = "补充资料")
    private String supplementAttachment;

    @ApiModelProperty(value = "联系人")
    private String liaisonMan;

    @ApiModelProperty(value = "公司信息")
    private String companyInfo;

    @ApiModelProperty(value = "申报人")
    private String declareMan;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
